<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Kidspress Pro
	 * @since Kidspress Pro 1.0.0
	 */

	/**
	 * kidspress_pro_doctype hook
	 *
	 * @hooked kidspress_pro_doctype -  10
	 *
	 */
	do_action( 'kidspress_pro_doctype' );

?>
<head>
<?php
	/**
	 * kidspress_pro_before_wp_head hook
	 *
	 * @hooked kidspress_pro_head -  10
	 *
	 */
	do_action( 'kidspress_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class( ); ?>>
	<?php do_action( 'wp_body_open' ) ?>
<?php
	/**
	 * kidspress_pro_page_start_action hook
	 *
	 * @hooked kidspress_pro_page_start -  10
	 *
	 */
	do_action( 'kidspress_pro_page_start_action' ); 

	/**
	 * kidspress_pro_loader_action hook
	 *
	 * @hooked kidspress_pro_loader -  10
	 *
	 */
	do_action( 'kidspress_pro_before_header' );

	/**
	 * kidspress_pro_header_action hook
	 *
	 * @hooked kidspress_pro_header_start -  10
	 * @hooked kidspress_pro_site_branding -  20
	 * @hooked kidspress_pro_site_navigation -  30
	 * @hooked kidspress_pro_header_end -  50
	 *
	 */
	do_action( 'kidspress_pro_header_action' );

	/**
	 * kidspress_pro_content_start_action hook
	 *
	 * @hooked kidspress_pro_content_start -  10
	 *
	 */
	do_action( 'kidspress_pro_content_start_action' );

	/**
	 * kidspress_pro_header_image_action hook
	 *
	 * @hooked kidspress_pro_header_image -  10
	 *
	 */
	do_action( 'kidspress_pro_header_image_action' );

	if ( kidspress_pro_is_frontpage() ) {

    	$options = kidspress_pro_get_theme_options();
    	if ( $options['home_layout'] == 'default-design' || $options['home_layout'] == 'second-design' || $options['home_layout'] == 'third-design' ) {
			$sections = array( 'slider', 'cta', 'service', 'course', 'about', 'blog', 'counter', 'teachers', 'gallery', 'testimonial', 'subscription' );
		}
 
		if ( $options['home_layout'] == 'fourth-design' ) {
			$sections = array( 'featured_posts', 'main_content', 'sports_news', 'gallery', 'blog' );
		}

		if ( $options['home_layout'] == 'fifth-design' ) {
			$sections = array( 'slider', 'cta', 'service', 'course', 'about', 'blog', 'counter', 'teachers', 'subscription' );
		}

		if ( $options['home_layout'] == 'sixth-design' ) {
			$sections = array( 'slider', 'cta', 'service', 'course', 'about', 'blog', 'counter', 'teachers', 'gallery', 'subscription' );
		}

		foreach ( $sections as $section ) {
			add_action( 'kidspress_pro_primary_content', 'kidspress_pro_add_'. $section .'_section' );
		}
		do_action( 'kidspress_pro_primary_content' );
	}