<?php
/**
 * Kidspress Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Kidspress Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function kidspress_pro_custom_colors_css() {
  	$options= kidspress_pro_get_theme_options();

	$blue_color_value = $options['colorscheme_hue'];
	$red_color_value = $options['secondary_colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Blue Color
	--------------------------------------------------------------*/
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	.featured-content-wrapper .btn:first-child,
	#call-to-action article,
	#our-courses,
	#our-team,
	#masthead,
	.second-design #call-to-action,
	.third-design #call-to-action,
	.fourth-design .cat-links a,
	.fourth-design .section-title {
	    background-color: '. esc_attr( $blue_color_value ) .';
	}

	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next {
	    border-color: '. esc_attr( $blue_color_value ) .';
	}

	/*--------------------------------------------------------------
	## Red Color
	--------------------------------------------------------------*/
	.backtotop,
	#top-bar,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"],
	.reply a,
	.section-title:after,
	.btn,
	.social-link .tp-social.social-icon a:hover,
	.social-link .tp-social.social-icon a:focus,
	#featured-slider .slick-prev:hover,
	#featured-slider .slick-next:hover,
	#featured-slider .slick-prev:focus,
	#featured-slider .slick-next:focus,
	#main-slider article:nth-child(1) .slick-dots li:nth-child(1) button,
	#main-slider article:nth-child(2) .slick-dots li:nth-child(2) button,
	#main-slider article:nth-child(3) .slick-dots li:nth-child(3) button,
	#main-slider article:nth-child(4) .slick-dots li:nth-child(4) button,
	#main-slider article:nth-child(5) .slick-dots li:nth-child(5) button,
	#main-slider article:nth-child(6) .slick-dots li:nth-child(6) button,
	#main-slider article:nth-child(7) .slick-dots li:nth-child(7) button,
	#main-slider article:nth-child(8) .slick-dots li:nth-child(8) button,
	#main-slider article:nth-child(9) .slick-dots li:nth-child(9) button,
	#main-slider article:nth-child(10) .slick-dots li:nth-child(10) button,
	#main-slider article:nth-child(11) .slick-dots li:nth-child(11) button,
	#main-slider article:nth-child(12) .slick-dots li:nth-child(12) button,
	#call-to-action .btn:hover,
	#call-to-action .btn:focus,
	#our-courses .btn,
	#about-us .entry-title:after,
	#latest-posts,
	#our-team .social-icons li a:hover, 
	#our-team .social-icons li a:focus,
	#gallery .entry-container .popup:hover i,
	#testimonial-section,
	.jetpack_subscription_widget button[type="submit"],
	#colophon .social-icons li a:hover,
	#colophon .social-icons li a:focus,
	.second-design #main-slider .slick-dots li.slick-active button,
	.third-design #main-slider .slick-dots li.slick-active button,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce #respond input#submit.alt:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce #respond input#submit.alt:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce ul.products li.product a.added_to_cart.wc-forward:hover,
	.woocommerce ul.products li.product a.added_to_cart.wc-forward:focus,
	.woocommerce span.onsale,
	.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a,
	.fourth-design .cat-links a,
	.fourth-design .section-title {
	    background: '. esc_attr( $red_color_value ) .';
	}

	a,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget-title,
	.widgettitle,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.featured-content-wrapper .entry-title a:hover,
	.featured-content-wrapper .entry-title a:focus,
	#call-to-action .btn,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	#our-courses ul.post-categories li a:hover,
	#our-courses ul.post-categories li a:focus,
	#our-courses .entry-title a:hover,
	#our-courses .entry-title a:focus,
	#our-courses .tp-education-meta .author-meta small a:hover,
	#our-courses .tp-education-meta .author-meta small a:focus,
	#latest-posts .btn,
	.counter-item small,
	#our-team .entry-title a:hover,
	#our-team .entry-title a:focus,
	#our-team .btn,
	#gallery .entry-container i,
	.testimonial-item p,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.blog-post-wrap .entry-meta a:hover,
	.blog-post-wrap .entry-meta a:focus,
	.author-name h6 a:hover,
	.author-name h6 a:focus,
	.course-header-contents .title a:hover,
	.course-header-contents .title a:focus,
	.course-header-contents a:hover,
	.course-header-contents a:focus,
	#colophon .widget-title, 
	#colophon .widgettitle,
	.footer-widgets-area ul li a:hover,
	.footer-widgets-area ul li a:focus,
	.site-info a,
	.woocommerce ul.products li.product .price,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce-info::before,
	.woocommerce-message::before,
	#magazine-featured-posts .entry-title a:hover,
	#magazine-featured-posts .entry-title a:focus,
	#magazine-featured-posts .posted-on a:hover,
	#magazine-featured-posts .posted-on a:focus,
	#magazine-featured-posts .author.vcard a:hover,
	#magazine-featured-posts .author.vcard a:focus,
	#magazine-popular-posts .entry-title a:hover,
	#magazine-popular-posts .entry-title a:focus,
	#magazine-popular-posts .author.vcard a,
	#magazine-recent-posts .entry-title a:hover,
	#magazine-recent-posts .entry-title a:focus,
	#magazine-recent-posts .author.vcard a,
	#magazine-latest-posts .entry-title a:hover,
	#magazine-latest-posts .entry-title a:focus,
	#magazine-latest-posts .author.vcard a,
	#magazine-sports-news .entry-title a:hover,
	#magazine-sports-news .entry-title a:focus,
	#magazine-sports-news .author.vcard a,
	#magazine-most-viewed-posts .entry-title a:hover,
	#magazine-most-viewed-posts .entry-title a:focus,
	#magazine-most-viewed-posts .author.vcard a,
	.fourth-design .posted-on a:hover,
	.fourth-design .posted-on a:focus {
	    color: '. esc_attr( $red_color_value ) .';
	}

	#our-courses .btn {
	    color: #fff;
	}

	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a.search-active:hover svg,
	.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg {
	    fill: '. esc_attr( $red_color_value ) .';
	}

	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	#featured-slider .slick-prev:hover,
	#featured-slider .slick-next:hover,
	#featured-slider .slick-prev:focus,
	#featured-slider .slick-next:focus,
	#main-slider .slick-dots li button,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce #respond input#submit.alt,
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce ul.products li.product a.added_to_cart.wc-forward,
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled] {
	    border-color: '. esc_attr( $red_color_value ) .';
	}

	.woocommerce-info,
	.woocommerce-message {
	    border-top-color: '. esc_attr( $red_color_value ) .';
	}

	.fourth-design .section-header {
	    border-bottom-color: '. esc_attr( $red_color_value ) .';
	}

	/*--------------------------------------------------------------
	# Responsive Red Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a,
		.main-navigation ul#primary-menu ul li:hover > a,
		.main-navigation ul#primary-menu ul li:focus > a  {
			color: #fff;
			background-color: '. esc_attr( $red_color_value ) .';
		}
	}

	/*--------------------------------------------------------------
	# Preloader
	--------------------------------------------------------------*/
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $red_color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $red_color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $red_color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $red_color_value ) .';}
	}';

	/**
	 * Filters Kidspress Pro custom colors CSS.
	 *
	 * @since Kidspress Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'kidspress_pro_custom_colors_css', $css );
}
