<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Kidspress Pro
* @since Kidspress Pro 1.0.0
*/

if ( ! function_exists( 'kidspress_pro_validate_long_excerpt' ) ) :
  function kidspress_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'kidspress-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_slider_count' ) ) :
  function kidspress_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_service_count' ) ) :
  function kidspress_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_blog_count' ) ) :
  function kidspress_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_testimonial_count' ) ) :
  function kidspress_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_counter_count' ) ) :
  function kidspress_pro_validate_counter_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_teacher_count' ) ) :
  function kidspress_pro_validate_teacher_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_course_count' ) ) :
  function kidspress_pro_validate_course_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_gallery_count' ) ) :
  function kidspress_pro_validate_gallery_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_featured_posts_count' ) ) :
  function kidspress_pro_validate_featured_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'kidspress-pro' ) );
     } elseif ( $value > 9 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_popular_posts_count' ) ) :
  function kidspress_pro_validate_popular_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'kidspress-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_recent_count' ) ) :
  function kidspress_pro_validate_recent_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kidspress_pro_validate_sports_news_count' ) ) :
  function kidspress_pro_validate_sports_news_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kidspress-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'kidspress-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kidspress-pro' ) );
     }
     return $validity;
  }
endif;

