<?php
/**
* Main Content section
*
* This is the template for the content of main_content section
*
* @package Theme Palace
* @subpackage Kidspress Pro
* @since Kidspress Pro 1.0.0
*/
if ( ! function_exists( 'kidspress_pro_add_main_content_section' ) ) :
/**
* Add main_content section
*
*@since Kidspress Pro 1.0.0
*/
function kidspress_pro_add_main_content_section() {

  kidspress_pro_render_main_content_section();
}
endif;

if ( ! function_exists( 'kidspress_pro_render_main_content_section' ) ) :
/**
* Start main_content section
*
* @return string main_content content
* @since Kidspress Pro 1.0.0
*
*/
function kidspress_pro_render_main_content_section() {
  ?>
  <div class="wrapper page-section">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

            <?php require get_template_directory() . '/inc/sections/popular-posts.php'; ?>

            <?php require get_template_directory() . '/inc/sections/recent.php'; ?>

        </main><!-- #main -->
    </div><!-- #primary -->

    <?php if(is_active_sidebar('main-content-sidebar')): ?>
      <aside id="secondary" class="widget-area" role="complementary">
        <?php dynamic_sidebar( 'main-content-sidebar' ); ?>
    </aside><!-- #secondary -->
<?php endif; ?>
</div>

  <?php }
  endif;